# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.031.
use strict;
use warnings;

use 5.010001;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Collection of CLI utilities for Sah and Data::Sah",
  "AUTHOR" => "perlancar <perlancar\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "App-SahUtils",
  "EXE_FILES" => [
    "script/coerce-with-sah",
    "script/filter-with-sah",
    "script/format-with-sah",
    "script/get-sah-type",
    "script/get-value-with-sah",
    "script/is-sah-builtin-type",
    "script/is-sah-collection-builtin-type",
    "script/is-sah-collection-type",
    "script/is-sah-numeric-builtin-type",
    "script/is-sah-numeric-type",
    "script/is-sah-ref-builtin-type",
    "script/is-sah-ref-type",
    "script/is-sah-simple-builtin-type",
    "script/is-sah-simple-type",
    "script/is-sah-type",
    "script/list-sah-clauses",
    "script/list-sah-coerce-rule-modules",
    "script/list-sah-filter-rule-modules",
    "script/list-sah-pschema-modules",
    "script/list-sah-pschemabundle-modules",
    "script/list-sah-schema-modules",
    "script/list-sah-schemabundle-modules",
    "script/list-sah-type-modules",
    "script/list-sah-value-rule-modules",
    "script/normalize-sah-schema",
    "script/resolve-sah-schema",
    "script/sah-to-human",
    "script/show-sah-coerce-rule-module",
    "script/show-sah-filter-rule-module",
    "script/show-sah-schema-module",
    "script/show-sah-value-rule-modules",
    "script/validate-with-sah"
  ],
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.010001",
  "NAME" => "App::SahUtils",
  "PREREQ_PM" => {
    "Complete::Module" => "0.263",
    "Complete::Util" => "0.620",
    "Data::Dump" => 0,
    "Data::Dump::Color" => "0.246",
    "Data::Sah" => "0.917",
    "Data::Sah::Coerce" => "0.050",
    "Data::Sah::CoerceCommon" => "0.050",
    "Data::Sah::CoerceJS" => "0.011",
    "Data::Sah::Compiler::perl::TH::any" => "0.914",
    "Data::Sah::DefaultValue" => "0.005",
    "Data::Sah::DefaultValueJS" => 0,
    "Data::Sah::Filter" => "0.024",
    "Data::Sah::FilterJS" => 0,
    "Data::Sah::Format" => 0,
    "Data::Sah::FormatJS" => 0,
    "Data::Sah::JS" => "0.47",
    "Data::Sah::Normalize" => "0.051",
    "Data::Sah::Resolve" => "0.010",
    "Data::Sah::Util::Type" => "0.45",
    "File::Slurper" => 0,
    "JSON::MaybeXS" => 0,
    "Module::List::Tiny" => 0,
    "Module::Path::More" => "0.32",
    "Package::Stash" => 0,
    "Perinci::CmdLine::Any" => "0.154",
    "Perinci::CmdLine::Lite" => "1.924",
    "Perinci::Sub::Gen::AccessTable" => "0.592",
    "String::LineNumber" => 0,
    "YAML::XS" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Test::More" => 0
  },
  "VERSION" => "0.484",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Complete::Module" => "0.263",
  "Complete::Util" => "0.620",
  "Data::Dump" => 0,
  "Data::Dump::Color" => "0.246",
  "Data::Sah" => "0.917",
  "Data::Sah::Coerce" => "0.050",
  "Data::Sah::CoerceCommon" => "0.050",
  "Data::Sah::CoerceJS" => "0.011",
  "Data::Sah::Compiler::perl::TH::any" => "0.914",
  "Data::Sah::DefaultValue" => "0.005",
  "Data::Sah::DefaultValueJS" => 0,
  "Data::Sah::Filter" => "0.024",
  "Data::Sah::FilterJS" => 0,
  "Data::Sah::Format" => 0,
  "Data::Sah::FormatJS" => 0,
  "Data::Sah::JS" => "0.47",
  "Data::Sah::Normalize" => "0.051",
  "Data::Sah::Resolve" => "0.010",
  "Data::Sah::Util::Type" => "0.45",
  "File::Slurper" => 0,
  "File::Spec" => 0,
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "JSON::MaybeXS" => 0,
  "Module::List::Tiny" => 0,
  "Module::Path::More" => "0.32",
  "Package::Stash" => 0,
  "Perinci::CmdLine::Any" => "0.154",
  "Perinci::CmdLine::Lite" => "1.924",
  "Perinci::Sub::Gen::AccessTable" => "0.592",
  "String::LineNumber" => 0,
  "Test::More" => 0,
  "YAML::XS" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
